#### get_associated_immediate_executor (2 of 2 overloads)

Helper function to obtain an object's associated executor.

    template<
        typename T,
        typename ExecutionContext>
    associated_immediate_executor< T, typename ExecutionContext::executor_type >::type get_associated_immediate_executor(
        const T & t,
        ExecutionContext & ctx,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

###### Return Value

`associated_immediate_executor<T, typename ExecutionContext::executor_type>get(t, ctx.get_executor())`